ChangeSet 1.1508.1.8, 2003/06/30 11:01:44-07:00, mdharm-usb@one-eyed-alien.net

[PATCH] USB storage: logic cleanup

This patch cleans up the logic involved in setting URB flags a bit so it's
more evident that some flags are always set and other flags are only set
under certain conditons.


 drivers/usb/storage/transport.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Tue Jul  1 14:23:35 2003
+++ b/drivers/usb/storage/transport.c	Tue Jul  1 14:23:35 2003
@@ -154,10 +154,9 @@
 	 * easier than always having the caller tell us whether the
 	 * transfer buffer has already been mapped. */
 	us->current_urb->transfer_flags =
-			(us->current_urb->transfer_buffer == us->iobuf)
-			? URB_ASYNC_UNLINK | URB_NO_SETUP_DMA_MAP
-				| URB_NO_TRANSFER_DMA_MAP
-			: URB_ASYNC_UNLINK | URB_NO_SETUP_DMA_MAP;
+			URB_ASYNC_UNLINK | URB_NO_SETUP_DMA_MAP;
+	if (us->current_urb->transfer_buffer == us->iobuf)
+		us->current_urb->transfer_flags |= URB_NO_TRANSFER_DMA_MAP;
 	us->current_urb->transfer_dma = us->iobuf_dma;
 	us->current_urb->setup_dma = us->cr_dma;
 
